Summary:             Miniature XML development library
Name:                mxml
Version:             3.2
Release:             1
License:             Apache-2.0 and LGPL-2.0-only and GPL-2.0-only
URL:                 http://www.msweet.org/mxml
Source0:             https://github.com/michaelrsweet/mxml/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:       make gcc
%description
Mini-XML is a small XML parsing library that you can use to read XML
and XML-like data files in your application without requiring large
non-standard libraries.

%package devel
Summary:             Libraries, includes, etc to develop mxml applications
Requires:            mxml = %{version}-%{release} pkgconfig
%description devel
Libraries, include files, etc you can use to develop mxml
applications.

%prep
%autosetup -p1

%build
%configure --enable-shared
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make BUILDROOT=%{buildroot} install
rm %{buildroot}%{_libdir}/libmxml.a
rm -rf %{buildroot}%{_datadir}/doc/mxml/
rm -f %{buildroot}%{_datadir}/man/cat*/*

%files
%license LICENSE
%doc README.md
%{_libdir}/libmxml.so.1*

%files devel
%doc CHANGES.md doc/*.html doc/*.jpg doc/*.png
%{_includedir}/*.h
%{_libdir}/libmxml.so
%{_mandir}/*/*
%{_libdir}/pkgconfig/mxml.pc

%changelog
* Wed Jul 28 2021 baizhonggui <baizhonggui@huawei.com> - 3.2-1
- package init
